org.jboss.resteasy.core.interception

## Class ClientReaderInterceptorContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.AbstractReaderInterceptorContext
  - - org.jboss.resteasy.core.interception.ClientReaderInterceptorContext

- All Implemented Interfaces:
    InterceptorContext, ReaderInterceptorContext

      public class ClientReaderInterceptorContext
      extends AbstractReaderInterceptorContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `properties`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.AbstractReaderInterceptorContext

      `annotations, genericType, headers, index, inputStream, interceptors, mediaType, providerFactory, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientReaderInterceptorContext(ReaderInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Class type, Type genericType, Annotation[] annotations, MediaType mediaType, MultivaluedMap<String,String> headers, InputStream inputStream, Map<String,Object> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(String name)` Returns the property with the given name registered in the current request/response exchange context, or `null` if there is no property by that name.
    `Collection<String>` | `getPropertyNames()` Returns an immutable `collection` containing the property names available within the context of the current request/response exchange context.
    `void` | `removeProperty(String name)` Removes a property with the given name from the current request/response exchange context.
    `protected MessageBodyReader` | `resolveReader(MediaType mediaType)`
    `void` | `setProperty(String name, Object object)` Binds an object to a given property name in the current request/response exchange context.
    `protected void` | `throwReaderNotFound()`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.AbstractReaderInterceptorContext

      `getAnnotations, getGenericType, getHeaders, getInputStream, getMediaType, getReader, getType, proceed, readFrom, setAnnotations, setGenericType, setInputStream, setMediaType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected Map<String,Object> properties

  - ### Constructor Detail

    - #### ClientReaderInterceptorContext

          public ClientReaderInterceptorContext(ReaderInterceptor[] interceptors,
                                        ResteasyProviderFactory providerFactory,
                                        Class type,
                                        Type genericType,
                                        Annotation[] annotations,
                                        MediaType mediaType,
                                        MultivaluedMap<String,String> headers,
                                        InputStream inputStream,
                                        Map<String,Object> properties)

  - ### Method Detail

    - #### throwReaderNotFound

          protected void throwReaderNotFound()

      Specified by:
        `throwReaderNotFound` in class `AbstractReaderInterceptorContext`

    - #### resolveReader

          protected MessageBodyReader resolveReader(MediaType mediaType)

      Specified by:
        `resolveReader` in class `AbstractReaderInterceptorContext`

    - #### getProperty

          public Object getProperty(String name)

      Description copied from interface: `InterceptorContext`
      Returns the property with the given name registered in the current request/response exchange context, or `null` if there is no property by that name.

      A property allows a JAX-RS filters and interceptors to exchange additional custom information not already provided by this interface.

      A list of supported properties can be retrieved using `InterceptorContext.getPropertyNames()`. Custom property names should follow the same convention as package names.

      In a Servlet container, on the server side, the properties are backed by the `ServletRequest` and contain all the attributes available in the `ServletRequest`.

      Parameters:
        `name` - a `String` specifying the name of the property.
      Returns:
        an `Object` containing the value of the property, or `null` if no property exists matching the given name.
      See Also:
        `InterceptorContext.getPropertyNames()`

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

      Description copied from interface: `InterceptorContext`
      Returns an immutable `collection` containing the property names available within the context of the current request/response exchange context.

      Use the `InterceptorContext.getProperty(java.lang.String)` method with a property name to get the value of a property.

      In a Servlet container, the properties are synchronized with the `ServletRequest` and expose all the attributes available in the `ServletRequest`. Any modifications of the properties are also reflected in the set of properties of the associated `ServletRequest`.

      Returns:
        an immutable `collection` of property names.
      See Also:
        `InterceptorContext.getProperty(java.lang.String)`

    - #### setProperty

          public void setProperty(String name,
                         Object object)

      Description copied from interface: `InterceptorContext`
      Binds an object to a given property name in the current request/response exchange context. If the name specified is already used for a property, this method will replace the value of the property with the new value.

      A property allows a JAX-RS filters and interceptors to exchange additional custom information not already provided by this interface.

      A list of supported properties can be retrieved using `InterceptorContext.getPropertyNames()`. Custom property names should follow the same convention as package names.

      If a `null` value is passed, the effect is the same as calling the `InterceptorContext.removeProperty(String)` method.

      In a Servlet container, on the server side, the properties are backed by the `ServletRequest` and contain all the attributes available in the `ServletRequest`.

      Parameters:
        `name` - a `String` specifying the name of the property.
        `object` - an `Object` representing the property to be bound.

    - #### removeProperty

          public void removeProperty(String name)

      Description copied from interface: `InterceptorContext`
      Removes a property with the given name from the current request/response exchange context. After removal, subsequent calls to `InterceptorContext.getProperty(java.lang.String)` to retrieve the property value will return `null`.

      In a Servlet container, on the server side, the properties are backed by the `ServletRequest` and contain all the attributes available in the `ServletRequest`.

      Parameters:
        `name` - a `String` specifying the name of the property to be removed.

Copyright © 2014. All Rights Reserved.